Subject: bug#41116: Guix deploy fails with new version of Herd

From: Alex Sassmannshausen <[email-masked]>
Date: Thu, 07 May 2020 13:37:37 +0200

Hi Marius,

Marius Bakke <[email-masked]> writes:

> Hi Alex,
>
> [...]
>
> This issue has been reported by a number of users on IRC.  I think the
> problem is that the the #:file-creation-mask keyword requires support
> from the running Shepherd, which may not have it yet.  I think we should
> revert commit 4c0cc7bed3de2c0e2d3a6e95b88693941e839eec until we find a
> smooth upgrade path.  Can you try it and push if that fixes guix deploy?

I believe Ludovic has now done this.  I will test and close this bug
if it is now working.

Cheers,

Alex